package org.jeecg.modules.statistics.service;

import org.jeecg.modules.statistics.entity.BuDeviceEnergyStatistics;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @Description: bu_device_energy_statistics
 * @Author: jeecg-boot
 * @Date:   2024-05-09
 * @Version: V1.0
 */
public interface IBuDeviceEnergyStatisticsService extends IService<BuDeviceEnergyStatistics> {

    public String lineSystemStatistics(String year,String deviceId,Integer result);

    public String lineSystemStatisticsNoId(String year,Integer result);

    public String lineSystemStatistics1(String year,String month,String deviceId,Integer result);

    public String getDevicePower(String id,String beginTime,String endTime);
}
